<%- include('components/header') %>
<div class="container">
  <div class="card">
    <div class="card-content">
      <div class="media">
        <div class="media-left">
        </div>
        <div class="media-content">
          <p class="title is-4">Имя: <%= profile.name %></p>
          <p class="subtitle is-6">Логин: <%= profile.username %></p>
          <% if(profile.isTeacher){ %>
            <p style="margin: 15px 0">Статус: Учитель</p>
          <% } else{ %>
            <p style="margin: 15px 0">Статус: Ученик</p>
          <% } %>
          <% if(profile.isTeacher){ %>
          <div class="column lesson-form">

          </div>
            <% if(profile.lessonId){ %>
              <p style="margin: 15px 0">Выбранный предмет:  <%= profile.lessonId.name %> </p>
            <%}%>
            <% if(profile.lessonId){ %>
              <p style="margin: 15px 0">Баланс:  <%= profile.balance %> </p>
            <%}%>
          <% } else{ %>

            <form action="/order-create" method="post" style="display: inline-flex; flex-direction: column">
              <div class="select" style="display: flex; align-items: center">
                <label for="lesson" style="margin-right: 15px">Выбрать предмет</label>
                <select name="lessonId" >
                  <option disabled value="-1" selected>Предметы</option>
                  <% for(var i=0; i < lessons.length; i++) { %>
                    <option value="<%= lessons[i]._id%>"><%= lessons[i].name %></option>
                  <% } %>
                </select>
              </div>
              <div class="field">
                <label class="label">Цена урока</label>
                <div class="control">
                  <input class="input" type="text" required placeholder="Цена" name="price" id="form-name">
                </div>
                <p class="help" id="form-name-help" hidden="true"></p>
              </div>
              <div class="control" style="margin-left: 15px">
                <input id="submit-button" value="Подтвердить" type="submit" class="button is-link"></input>
              </div>
            </form>
          <% } %>
        </div>
      </div>
    </div>

    <% if(isRoot){ %>
    <!-- Place logic for editing profile here -->
    <a class="button is-light">Edit Profile</a>
    <% } %>
  </div>

  <% if(profile.isAdmin){ %>
  <div class="card" style="margin-top: 30px">
    <div class="card-container">
      <div class="media">
        <div class="media-left">
        </div>
        <div class="media-content">
          <p class="title is-4">Добавить новый предмет</p>

          <form action="/lesson-add" method="post" id="form">
            <div class="container">
              <div class="field">
                <label class="label">Название предмета</label>
                <div class="control">
                  <input class="input" type="text" required placeholder="Название" name="name" id="form-name">
                </div>
                <p class="help" id="form-name-help" hidden="true"></p>
              </div>
              <div class="field is-grouped">
                <div class="control">
                  <input id="submit-button" value="Подтвердить" type="submit" class="button is-link"></input>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
    <div class="card" style="margin-top: 30px">
      <div class="card-container">
        <div class="media">
          <div class="media-left">
          </div>
          <div class="media-content">
            <p class="title is-4">Список учителей</p>
            <table border="1" style="width: 100%">
              <caption>Таблица размеров обуви</caption>
              <tr>
                <th>Логин</th>
                <th>Имя</th>
                <th>Предмет</th>
                <th>Баланс</th>
                <th>Изменить предмет</th>
                <th>Подтвердить</th>
              </tr>
              <%= teachers.length %>
              <% for(var i=0; i < teachers.length; i++) { %>
              <form action="/lesson-select" method="post" style="display: flex; ">
                  <tr>
                    <input hidden name="teacherId" value="<%= teachers[i].id %>"/>
                    <td><%= teachers[i].username %></td>
                    <td><%= teachers[i].name %></td>

                    <td>
                      <% if(teachers[i].lessonId){ %>
                      <%= teachers[i].lessonId.name %>
                      <%}%>
                    </td>
                    <td><%= teachers[i].balance %></td>
                    <td>

                            <select class="select" name="lessonId" >
                              <option disabled value="-1" >Предметы</option>
                              <% for(var j=0; j < lessons.length; j++) { %>
                                <option value="<%= lessons[j].id %>"><%= lessons[j].name %></option>
                              <% } %>
                            </select>

                    </td>
                      <td>
                        <div class="control" style="margin-left: 15px">
                          <input id="submit-button" value="Подтвердить" type="submit" class="button is-link"></input>
                        </div>

                      </td>

                  </tr>
              </form>
              <% } %>
            </table>

          </div>
        </div>
      </div>
    </div>


      <%}%>



  <% if(order!==null){%>
  <div class="card" style="margin-top: 50px; margin-bottom: 40px" >
    <div class="card-content">
      <div class="card-header">
        <div class="card-header-title">
          Заказ на урок
        </div>
      </div>
      <div class="media" style="">
        <div class="media-left">
        </div>
        <div class="media-content">
          <% if(order.lessonId){ %>
            <p style="margin: 15px 0">Урок:  <%= order.lessonId.name %> </p>
          <%}%>
          <h1>Цена: <%= order.price %> </h1>
          <% if(profile.isTeacher){ %>

          <% } else{ %>
              <% if(order.status==='waiting_to_accept'){%>
              <h1 style="margin-top: 15px">Статус: В ожидании принятия </h1>
            <%} else if(order.status==='waiting_for_payment'){%>
                  <h1 style="margin-top: 15px">Статус: Ожидает оплаты</h1>
                  <a class="button is-link" style="margin-top: 15px" href="/order-payment/<%= order._id%>">Оплатить</a>
            <%} else if(order.status==='paid'){%>
              <h1 style="margin-top: 15px">Статус: Оплачен</h1>
            <%} else if(order.status==='finished'){%>
              <h1 style="margin-top: 15px">Статус: Завершен</h1>
                <%}%>
          <% } %>

          <% if(order.conferenceId) {%>
          <a class="button is-link" style="margin-top: 15px" href="<%= order.conferenceId%>">Открыть конференцию</a>
          <%}%>
        </div>
      </div>
    </div>
  </div>
    <%}%>

  <% if(orders!==null && profile.isTeacher){%>
    <% for(var i=0; i<orders.length; i++) {%>
  <div class="card" style="margin-top: 50px; margin-bottom: 40px" >
    <div class="card-content">
      <div class="card-header">
        <div class="card-header-title">
          Заказ на урок
        </div>
      </div>
      <div class="media" style="">
        <div class="media-left">
        </div>
        <div class="media-content">
          <% if(orders[i].lessonId){ %>
            <p style="margin: 15px 0">Урок:  <%= orders[i].lessonId.name %> </p>
          <%}%>
          <h1>Цена: <%= orders[i].price %> </h1>
          <% if(profile.isTeacher){ %>
            <% if(orders[i].status==='waiting_to_accept'){%>
              <form action="/order-accepted" method="post" style="margin-top: 15px">
                <input type="hidden" name="lessonId" value="<%= orders[i].lessonId._id %>"/>
                <div class="control">
                  <input id="submit-button" value="Принять" type="submit" class="button is-link"/>
                </div>
              </form>
            <%}%>
          <% } %>
            <% if(orders[i].status==='waiting_for_payment') {%>
              <p>Статус: Ожидает оплаты</a>
            <%}%>
          <% if(orders[i].status==='paid') {%>
            <a class="button is-link" style="margin-top: 15px" href="<%= orders[i].conferenceId%>">Открыть конференцию</a>
          <%}%>
        </div>
      </div>
    </div>
    <% }%>
    <%}%>
  </div>

<%- include('components/footer') %>
